Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSCustomizedButton Class Reference

The parameters that can be present in a customized button. More...

`#import <CSCustomizedButton.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithConfiguredLocation:customizedLocation:buttonType:isAgentFeature:featureType:applicationName:lineOwner:lineID:featureParameter:uniqueAddressForMatching:contactNumber:personalizedLabel:canSetPersonalizedLabel:
| Constructs a CSCustomizedButton object from the specified parameters. More...
(instancetype) | - initWithButtonType:
(instancetype) | - initWithUniqueAddressForMatching:contactNumber:

## Properties
NSInteger | configuredLocation
| Returns the physical button index as configured on SMGR. More...
NSInteger | customizedLocation
| Returns the button index as customized on application's button module by the user. More...
CSButtonType | buttonType
| Returns the button type for the button being customized. More...
BOOL | isAgentFeature
| Indicates whether the button being customized is an agent feature when the button being customized is a feature. More...
NSInteger | featureType
| Returns the feature type of the feature when the button being customized is a feature. More...
NSString * | applicationName
| Returns the application name of the application when the button being customized is an application. More...
NSString * | lineOwner
| Returns the line owner of the line-appearance when the button being customized is a line-appearance. More...
NSString * | lineID
| Returns the line ID of the line-appearance when the button being customized is a line-appearance. More...
NSString * | featureParameter
| Returns any additional parameter of the feature when the button being customized is a feature. More...
NSString * | uniqueAddressForMatching
| Returns the unique address of a contact when the button being customized is a contact. More...
NSString * | contactNumber
| Returns the contact number of a contact when the button being customized is a contact. More...
NSString * | personalizedLabel
| Returns the personalized label for the customized button. More...
BOOL | canSetPersonalizedLabel
| Indicates whether the set personalized label operation is allowed. More...

## Detailed Description

The parameters that can be present in a customized button.

## Method Documentation

- (instancetype) initWithButtonType: |  | (CSButtonType) | buttonType |

- (instancetype) initWithConfiguredLocation: |  | (NSInteger) | configuredLocation
customizedLocation: |  | (NSInteger) | customizedLocation
buttonType: |  | (CSButtonType) | buttonType
isAgentFeature: |  | (BOOL) | isAgentFeature
featureType: |  | (NSInteger) | featureType
applicationName: |  | (NSString *) | applicationName
lineOwner: |  | (NSString *) | lineOwner
lineID: |  | (NSString *) | lineID
featureParameter: |  | (NSString *) | featureParameter
uniqueAddressForMatching: |  | (NSString *) | uniqueAddressForMatching
contactNumber: |  | (NSString *) | contactNumber
personalizedLabel: |  | (NSString *) | personalizedLabel
canSetPersonalizedLabel: |  | (BOOL) | canSetPersonalizedLabel

Constructs a CSCustomizedButton object from the specified parameters.

Parameters

  configuredLocation | The physical button index as configured on SMGR.
  customizedLocation | The button index as customized on application's button module by the user.
  buttonType | The button type.
  isAgentFeature | Indicates whether the button is an agent feature.
  featureType | The feature type of the feature.
  applicationName | The application name of the application.
  lineOwner | The line owner of the line-appearance.
  lineID | The line ID of the line-appearance.
  featureParameter | Additional parameter of the feature.
  uniqueAddressForMatching | The unique address of a contact.
  contactNumber | The contact number of a contact.
  personalizedLabel | The personalized label for the customized button.
  canSetPersonalizedLabel | Indicates whether the set personalized label operation is allowed.

- (instancetype) initWithUniqueAddressForMatching: |  | (NSString *) | uniqueAddressForMatching
contactNumber: |  | (NSString *) | contactNumber

## Property Documentation

- (NSString*) applicationName
| read nonatomic assign

Returns the application name of the application when the button being customized is an application.

- (CSButtonType) buttonType
| read nonatomic assign

Returns the button type for the button being customized.

- (BOOL) canSetPersonalizedLabel
| read nonatomic assign

Indicates whether the set personalized label operation is allowed.

This property is used only for the contact buttons. The set personalized label operation is always allowed for the other buttons.

- (NSInteger) configuredLocation
| read nonatomic assign

Returns the physical button index as configured on SMGR.

- (NSString*) contactNumber
| read nonatomic assign

Returns the contact number of a contact when the button being customized is a contact.

- (NSInteger) customizedLocation
| read nonatomic assign

Returns the button index as customized on application's button module by the user.

- (NSString*) featureParameter
| read nonatomic assign

Returns any additional parameter of the feature when the button being customized is a feature.

- (NSInteger) featureType
| read nonatomic assign

Returns the feature type of the feature when the button being customized is a feature.

Returns CSFeatureType (for AST feature) or CSAgentFeatureType (for Agent feature) casted to an NSInteger.

- (BOOL) isAgentFeature
| read nonatomic assign

Indicates whether the button being customized is an agent feature when the button being customized is a feature.

- (NSString*) lineID
| read nonatomic assign

Returns the line ID of the line-appearance when the button being customized is a line-appearance.

- (NSString*) lineOwner
| read nonatomic assign

Returns the line owner of the line-appearance when the button being customized is a line-appearance.

- (NSString*) personalizedLabel
| read nonatomic assign

Returns the personalized label for the customized button.

- (NSString*) uniqueAddressForMatching
| read nonatomic assign

Returns the unique address of a contact when the button being customized is a contact.

The documentation for this class was generated from the following file:

- CSCustomizedButton.h